package com.yeejoin.amos.boot.module.ccs.api.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import javax.ws.rs.GET;

/**
 * @author DELL
 */
@AllArgsConstructor
@Getter
public enum SignalTypeOfAlarm {
    /**
     * 特殊统计信号类型枚举
     */
    FAULT_ALARM("faultAlarm","故障告警"),
    FIRE_ALARM("fireAlarm","火灾告警"),
    SHIELD_ALARM("shieldAlarm","屏蔽"),
    OIL_LEAK_ALARM("oilLeakAlarm","漏油"),
    ALARM("alarm","告警");

    private String code;
    private String name;

}
